#!/usr/bin/env node
const { updateGitFile } = require("../pre-commit/gitSetup/update-gitfile");
const { setupHusky } = require("../pre-commit/huskySetup/setupHusky");
const { initialSetup } = require("../pre-commit/initialSetup");
global.precommit_log = new Map();

const [, , action, ...options ] = process.argv;

switch (action) {
  case "setup": {
    // currently husky is used for pre commit setup 
    setupHusky()
    // updateGitFile()
    break;
  }

  case "init": {
    initialSetup()
    break;
  }

  default: {
    break;
  }
}

// require('../HuskySetup/setupHusky')