/* eslint-disable no-console */

const fs = require('fs');
const path = require('path');
const { Logger } = require('../utils/Logger');
const { getRootDirectory } = require('../utils/navigateToRootDirectory');
function removeFile(){
    const filepath = path.resolve(getRootDirectory(),'.husky','pre-commit')
    if(fs.existsSync(filepath)){
        fs.unlinkSync(filepath)
        Logger.log(Logger.SUCCESS_TYPE,`file ${filepath} removed successfully`)
        return true
    }
    // else{
    //     Logger.log(Logger.FAILURE_TYPE,`Target file ${filepath} not present at the specified location`)
    // }
}

module.exports=removeFile